package model;

import java.awt.Point;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public abstract class Figure implements Serializable {
	private static final long serialVersionUID = 1L;
	protected List<Point> lesPoints;

	public Figure() {
		lesPoints = new ArrayList<Point>();
	}

	public void ajoute(int x, int y) {
		lesPoints.add(new Point(x, y));
	}

	public int nbPoints() {
		return lesPoints.size();
	}

	public Point element(int numero) {
		return lesPoints.get(numero);
	}
}
