package model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class Dessin implements Serializable {
	private static final long serialVersionUID = 1L;
	private List<Figure> contenu;

	public Dessin() {
		contenu = new ArrayList<Figure>();
	}

	public void ajoute(Figure figure) {
		contenu.add(figure);
	}

	public int nbFigures() {
		return contenu.size();
	}

	public Figure element(int numero) {
		return contenu.get(numero);
	}

	public void effacer() {
		contenu.clear();
	}
}
